import java.io.FileInputStream;
import java.io.FileNotFoundException;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class fieldInjection {
	
	//replace api_key placeholder with your own values
	private static final String API_KEY = "api_key";
	private static final String API_URL = "https://sandbox.esignlive.com/api";

	public static void main(String[] args) throws FileNotFoundException {
		
		EslClient eslClient = new EslClient(API_KEY, API_URL);
		
		DocumentPackage packageToSend = PackageBuilder.newPackageNamed("Field Injection Example")
				.withSigner(SignerBuilder.newSignerWithEmail("esl.signer1@example.com")
						.withFirstName("John")
						.withLastName("Smith")
						.withCustomId("client")
						.signingOrder(0))
				.withSigner(SignerBuilder.newSignerWithEmail("esl.signer2@example.com")
						.withFirstName("Haris")
						.withLastName("Haidary")
						.withCustomId("contractor")
						.signingOrder(1))
				.withDocument(DocumentBuilder.newDocumentWithName("Sample Contract")
						.enableExtraction()
						.fromStream(new FileInputStream("doc_file_path"), DocumentType.PDF)
						.withInjectedField(FieldBuilder.checkBox()
								.withName("Text1")
								.withValue(true))
						.withInjectedField(FieldBuilder.textField()
								.withName("Text2")
								.withValue("Lawn mower"))
						.withInjectedField(FieldBuilder.textField()	
								.withName("Text3")
								.withValue("Fertilizer"))
						.withInjectedField(FieldBuilder.textField()
								.withName("Text4")
								.withValue("100"))
						.withInjectedField(FieldBuilder.textField()
								.withName("Text5")
								.withValue("12   12   12")))
				.build();
		
		PackageId packageId = eslClient.createAndSendPackage(packageToSend);
		
		System.out.println(packageId.toString());

	}

}
